Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## escjava.translate
Class InlineConstructor

    java.lang.Object
      escjava.translate.InlineConstructor

public class InlineConstructor
extends java.lang.Object

Constructor Summary
`InlineConstructor()`

Method Summary
`private static Name` | `copyName(Name n, RoutineDecl rd)`
`private static Type` | `copyType(Type t, RoutineDecl rd)`
`private static TypeName` | `copyTypeName(TypeName tn, RoutineDecl rd)`
`private static void` | `createMethodDecl(MethodDecl md, TypeDecl td, ConstructorDecl cd, Identifier newThis, int count)`
`static void` | `inlineConstructorsEverywhere(java.util.Vector cus)`
`static void` | `inlineConstructorsInAllMethods(TypeDecl td)`
`static boolean` | `isConstructorInlinable(TypeDeclElem tde)`
`static boolean` | `isConstructorInlinedMethod(MethodDecl md)` Returns true if the given method is a constructor-inlined version of some other method
`private static Identifier` | `uniquifyName(Identifier i)`
`private static Identifier` | `uniquifyName(java.lang.String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InlineConstructor

    public InlineConstructor()

Method Detail

### inlineConstructorsEverywhere

    public static void inlineConstructorsEverywhere(java.util.Vector cus)

### inlineConstructorsInAllMethods

    public static void inlineConstructorsInAllMethods(TypeDecl td)

### createMethodDecl

    private static void createMethodDecl(MethodDecl md,
                                         TypeDecl td,
                                         ConstructorDecl cd,
                                         Identifier newThis,
                                         int count)

### isConstructorInlinedMethod

    public static boolean isConstructorInlinedMethod(MethodDecl md)

  Returns true if the given method is a constructor-inlined version of some other method

### isConstructorInlinable

    public static boolean isConstructorInlinable(TypeDeclElem tde)

### copyType

    private static Type copyType(Type t,
                                 RoutineDecl rd)

### copyTypeName

    private static TypeName copyTypeName(TypeName tn,
                                         RoutineDecl rd)

### copyName

    private static Name copyName(Name n,
                                 RoutineDecl rd)

### uniquifyName

    private static Identifier uniquifyName(java.lang.String s)

### uniquifyName

    private static Identifier uniquifyName(Identifier i)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage